Bug 7935 - Introduce sys pref to control 'browse results' in OPAC
Summary: Introduce sys pref to control 'browse results' in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 6483
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 17:48 UTC by Katrin Fischer
Modified: 2013-12-05 19:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7935: Introduce sys pref to control 'browse results' in OPAC (8.12 KB, patch)
2012-04-09 19:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7935: Introduce sys pref to control 'browse results' in OPAC (8.18 KB, patch)
2012-04-10 08:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-04-09 17:48:51 UTC

    
Comment 1 Katrin Fischer 2012-04-09 19:37:49 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-04-10 08:28:55 UTC
Created attachment 9067 [details] [review]
Bug 7935: Introduce sys pref to control 'browse results' in OPAC

Patch introduces a new system preference "OpacBrowseResults" to control
the feature for browsing and paging through results shown on top of the
left menu on detail pages in OPAC.

Preference is activated by default and can be deactivated using the
system preference.

To test:
 - Check database update works correctly
 - Check that browsing and paging still works with after database update
 - Deactivate the feature by setting 'OpacBrowseResults' to 'Disable'
 - Check the feature does no longer show up in OPAC
 - Check that a new installation also has the system preference with correct default

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Jared Camins-Esakov 2012-05-09 19:58:56 UTC
This bug will be included in the Koha 3.6.5 release.
Comment 4 Jared Camins-Esakov 2012-05-09 20:05:03 UTC
This bug will be included in the Koha 3.6.5 release.